about summary refs log tree commit diff stats
path: root/install.sh
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-09-10 16:16:19 -0400
committerCharadon <dev@iotib.net>2022-09-10 16:16:19 -0400
commitcd61a586a10e9e3d8d7ec4b0e55ea6caad9dbe65 (patch)
tree59b80463db4900ea1a019c4c8e05e4459c850420 /install.sh
parent4e1daeeb4e4f8db3f1e8b74f2bcc7367bb8bb8e5 (diff)
downloadPong-C-cd61a586a10e9e3d8d7ec4b0e55ea6caad9dbe65.tar.gz
Replaced premake5 with Tup
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..40d2c2b
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -eu
+
+source ./tup.config
+
+echo "Installing Project."
+set -x
+mkdir -p $CONFIG_INSTALL_PREFIX
+cp -r ./resources $CONFIG_INSTALL_PREFIX/resources
+cp -r ./docs $CONFIG_INSTALL_PREFIX/docs
+install -m755 $CONFIG_BUILD_DIR/bin/Pong* $CONFIG_INSTALL_PREFIX/
+set +x
+echo "Done Installing."